## org.eclipse.datatools.enablement.oracle.ui.drivers
Class OracleThinDriverUIContributorBase

    java.lang.Object
      org.eclipse.datatools.enablement.oracle.ui.drivers.OracleThinDriverUIContributorBase

All Implemented Interfaces:
  IDriverUIContributor, org.eclipse.swt.widgets.Listener

    public class OracleThinDriverUIContributorBase

extends java.lang.Object
implements IDriverUIContributor, org.eclipse.swt.widgets.Listener

Base class implementation that contributes UI controls to collect user input on Oracle JDBC connection properties. Extenders may extend the nested URL handler class to format and parse their own JDBC URL based on the user input. Extenders are not expected to extend the UI controls.

Constructor Summary
`OracleThinDriverUIContributorBase()`

Method Summary
`boolean` `determineContributorCompletion()`
`org.eclipse.swt.widgets.Composite` `getContributedDriverUI(org.eclipse.swt.widgets.Composite parent, boolean isReadOnlyUI)`
`java.util.List` `getSummaryData()`
`void` `handleEvent(org.eclipse.swt.widgets.Event event)`
`void` `loadProperties()`
`void` `setDialogPage(org.eclipse.jface.dialogs.DialogPage parentPage)`
`void` `setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleThinDriverUIContributorBase

    public OracleThinDriverUIContributorBase()

Method Detail

### determineContributorCompletion

    public boolean determineContributorCompletion()

  Specified by:
    `determineContributorCompletion` in interface `IDriverUIContributor`

### getContributedDriverUI

    public org.eclipse.swt.widgets.Composite getContributedDriverUI(org.eclipse.swt.widgets.Composite parent,
                                                                    boolean isReadOnlyUI)

  Specified by:
    `getContributedDriverUI` in interface `IDriverUIContributor`

### getSummaryData

    public java.util.List getSummaryData()

  Specified by:
    `getSummaryData` in interface `IDriverUIContributor`

### loadProperties

    public void loadProperties()

  Specified by:
    `loadProperties` in interface `IDriverUIContributor`

### setDialogPage

    public void setDialogPage(org.eclipse.jface.dialogs.DialogPage parentPage)

  Specified by:
    `setDialogPage` in interface `IDriverUIContributor`

### setDriverUIContributorInformation

    public void setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)

  Specified by:
    `setDriverUIContributorInformation` in interface `IDriverUIContributor`

### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event event)

  Specified by:
    `handleEvent` in interface `org.eclipse.swt.widgets.Listener`